Package org.eclipse.m2m.atl.emftvm

## Interface BranchInstruction

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `Enditerate`, `Goto`, `If`, `Ifn`, `Iterate`

All Known Implementing Classes:
  `BranchInstructionImpl`, `EnditerateImpl`, `GotoImpl`, `IfImpl`, `IfnImpl`, `IterateImpl`

    public interface BranchInstruction
    extends Instruction

A representation of the model object 'Branch Instruction'.

See Also:
  `EmftvmPackage.getBranchInstruction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getOffset()` Returns the value of the 'Offset' attribute.
`Instruction` `getTarget()` Returns the value of the 'Target' reference.
`void` `setOffset​(int value)` Sets the value of the '`Offset`' attribute.
`void` `setTarget​(Instruction value)` Sets the value of the '`Target`' reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getOffset

    int getOffset()

Returns the value of the 'Offset' attribute. The default value is `"-1"`.

Represents the instruction offset to jump to.

Returns:
  the value of the 'Offset' attribute.
See Also:
  `setOffset(int)`, `EmftvmPackage.getBranchInstruction_Offset()`

#### setOffset

    void setOffset​(int value)

Sets the value of the '`Offset`' attribute. Represents the instruction offset to jump to.

Parameters:
  `value` - the new value of the 'Offset' attribute.
See Also:
  `getOffset()`

#### getTarget

    Instruction getTarget()

Returns the value of the 'Target' reference.

Represents the 'Target' instruction to jump over, i.e. the 'Offset' corresponds to the instruction following 'Target'.

Returns:
  the value of the 'Target' reference.
See Also:
  `setTarget(Instruction)`, `EmftvmPackage.getBranchInstruction_Target()`

#### setTarget

    void setTarget​(Instruction value)

Sets the value of the '`Target`' reference.

Represents the 'Target' instruction to jump over, i.e. the 'Offset' corresponds to the instruction following 'Target'.

Parameters:
  `value` - the new value of the 'Target' reference.
See Also:
  `getTarget()`